--[[
 -- @Description:
 -- Hello , DiaoSi ~ ( or not ? ) ,glad you saw my comment
 -- If you think my mod is okay , you can sponsor my breakfast by a tiny amount donation  ($_$)
 -- paypal:td1madao@163.com     alipay:td1madao@163.com
 -- If any question ,Please email me
 -- What's more ,don't modify and republish my mods . 3Q for cooperation
 -- What's more ,don't modify and republish my mods . 3Q for cooperation
 -- What's more ,don't modify and republish my mods . 3Q for cooperation
 -- @version 1.0.0
 -- @author td1madao
 -- @email td1madao@163.com
 -- @qq 360810498
 -- @date 16/8/6
 ]]
return Prefab("rivendstnil", function(Sim)
    local inst = CreateEntity()
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    inst:DoTaskInTime(1, function() inst:Remove() end)
    inst:AddTag("nil")
    return inst
end, {}),
Prefab("rivendstweapon", function(Sim)
    local inst = CreateEntity()
    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(10)
    inst:AddTag("nilweapon")
    return inst
end, {})